Bug 51911 - [Xamarin-Profiler]: Accessibility: MAS40B: Windows: Inspect: The name property is empty for the data bar of Bytes used, of Data grid contents of "Instrument Detail Area"
Summary: [Xamarin-Profiler]: Accessibility: MAS40B: Windows: Inspect: The name propert...
Status: CLOSED FIXED
Alias: None
Product: Profiler
Classification: Xamarin
Component: Windows (show other bugs)
Version: unspecified
Hardware: PC Windows
: --- normal
Target Milestone: 15.6
Assignee: Sergiy Velychko (Global Logic)
URL:
Depends on:
Blocks:
 
Reported: 2017-01-28 10:25 UTC by Ramya Sri Narasinga
Modified: 2018-04-23 12:13 UTC (History)
7 users (show)

Tags: accessibility, wipro, xamarin-profiler, a11ymas, mas40b
Is this bug a regression?: ---
Last known good build:


Attachments
12.Data Bar of Bytes used (321.70 KB, image/png)
2017-01-28 10:25 UTC, Ramya Sri Narasinga
Details
Fixed-51911 (111.83 KB, image/png)
2018-04-23 12:12 UTC, Ramya Sri Narasinga
Details


Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report on Developer Community with your current version information, steps to reproduce, and relevant error messages or log files if you are hitting an issue that looks similar to this resolved bug and you do not yet see a matching new report.

Related Links:
Status:
CLOSED FIXED

Description Ramya Sri Narasinga 2017-01-28 10:25:52 UTC
Created attachment 19593 [details]
12.Data Bar of Bytes used

Testing Environment:

OS: 
      • Windows 10.
      • Version 1067.
      • Build 14393.607.
Visual Studio and Xamarin:
      • VS 2017 RC Enterprise.
      • Xamarin For VS 4.3.0.550.
      • Xamarin Profiler 1.0.4 

Pre-Requisites: 
1. Install Microsoft Visual Studio 2017 (Enable .Net, Android Emulators, Mobile Development Features).
2. Launch Microsoft Visual Studio 2017 and Log in with valid VS details.
3. Map Xamarin Account to Visual Studio (Tools -> Xamarin Account -> provide Valid Credentials).
4. Create New project (Template C# -> Cross Platform -> Xamarin template).
5. Select Debug Mode -> ARM -> Select App Name.Droid -> Select Android Emulator.
6. Build the application (Application Should Build Successfully).

Repro Steps: 
"1. Run Pre-requisite
2. Navigate to Top status bar of ""Visual Studio 2017 RC"" >Analyze> Xamarin Profiler> , then Press ENTER to launch Xamarin Profiler.
 (Xamarin Profiler is launched.)
""General"" tab button-> All Instruments-> ""Allocations"" of Instrument list-> ""Allocations"" tab of ""Instrument Detail Area"" -> Data grid -> Byte Used Column-> data bar
"


Actual result:
"The name property is empty for Data bar of  Bytes used column in data grid under ""Instrument Detail Area""
Narrator: The narrator is announcing as  "" data bar"""


Expected result:
"The name property for this data bar  should be named as "" Bytes used data bar"".
Narrator: The narrator should announce as  ""# Bytes used, data bar""  but narrator is announcing as ""data bar"""


User impact: 
The narrator is announcing as  "data bar" , but it should inform about the purpose of this data bar. At the same time it should announce the numerical value of the data bar (ie. Byte used)
Comment 1 Luis Aguilera 2017-06-22 12:54:12 UTC
moving to 15.4
Comment 2 xamarin-release-manager 2017-11-29 15:44:51 UTC
Fixed in version 1.6.1.343 (master)

Pull Request #2276 merged by: Jose Miguel Torres
Author: xamarin
Commit: f64c0929a79962ac67d3712aee0a774c54a1e0ef (xamarin/profiler)
Comment 3 Ramya Sri Narasinga 2018-04-23 12:08:46 UTC
The bug fix verified on Xamarin Profiler version: 1.6.2.145, hence closing this bug.
Comment 4 Ramya Sri Narasinga 2018-04-23 12:12:00 UTC
Created attachment 26268 [details]
Fixed-51911